# Class WarPlugin

java.lang.Object
org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class WarPlugin extends Object implements Plugin<Project>

A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

See Also:
  - WAR plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROVIDED_COMPILE_CONFIGURATION_NAME`
  `static final String`
  `PROVIDED_RUNTIME_CONFIGURATION_NAME`
  `static final String`
  `WAR_TASK_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, org.gradle.api.internal.artifacts.dsl.PublishArtifactNotationParser publishArtifactNotationParser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROVIDED_COMPILE_CONFIGURATION_NAME

    public static final String PROVIDED_COMPILE_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### PROVIDED_RUNTIME_CONFIGURATION_NAME

    public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### WAR_TASK_NAME

    public static final String WAR_TASK_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WarPlugin

    @Inject public WarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, org.gradle.api.internal.artifacts.dsl.PublishArtifactNotationParser publishArtifactNotationParser)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object